;
; Setup.ini
;
; LastModified: 23-Jun-2010
;
[Setup]
;-------------------------------------------------------------
; MUST
;-------------------------------------------------------------
; Product Name
ProductName=%NAME_PRODUCT%
; Default Target Directory
DefaultTargetDir=\CanonMF
; Default Device Directory
DefaultDeviceDir=%DIR_DEVICE%
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
; VisualStyle(Windows XP or later)
; This value cannot use righthand variable.
EnableVisualStyle=1
; Region Default
RegionDefault=%REGION_DEFAULT%
; License Agreement
; License.<RegionDefault>=License.txt
; If License.1 or later EULA defined, show select dialog.
;
License.0=misc\%FILE_LICENSE_REGION0%

; Shortcut Directory (Default = "")
ProgramShortcutDir=%DIR_PROGRAMSHORTCUT%
; Readme File
Readme.WIN9X=%FILE_README_NAME0%, %FILE_README_NAME1%
Readme.WINNT5=%FILE_README_NAME0%, %FILE_README_NAME1%
Readme.WINNT5_x64=%FILE_README_NAME0%, %FILE_README_NAME1%
Readme.WINXP_x64=%FILE_README_NAME0%, %FILE_README_NAME1%

; Readme Shortcut (MUST Readme)
ReadmeShortcut=%NAME_READMESHORTCUT0%.lnk, %NAME_READMESHORTCUT1%.lnk
; Required Diskspace (MB)
; If you do not specified, installer use DRIVERDIRSIZE + 5MB for checking.
Diskspace=110
Diskspace.WINXP_x64=110

; Writeback system files (If the files are newer than media's.)
; (Windows 9x only)
; Windows 2000 or later NT based Windows has CAT file, 
; So, you should not replace source files.
EnableWriteBack9X=1

[DirOS]
; Can use WIN9X, WINNT5, WINNT5_x64
WIN9X=\%DIR_WIN9X%
WINNT5=\%DIR_WINNT5%
WINNT5_x64=\%DIR_WINNT5_X64%
WINXP_x64=\%DIR_WINNT5_X64%

[TargetOS]
\%DIR_WIN9X%=%NAME_OS_WIN9X%
\%DIR_WINNT5%=%NAME_OS_WINNT5%
\%DIR_WINNT5_X64%=%NAME_OS_WINNT5_X64%
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
Delimiter=%NAME_DELIMITER%

[NotCopyInf]
; Can use WIN9X, WINNT5
WIN98=
WINME=mf38cmp.inf
WINNT5=
WINNT5_x64=
WINXP_x64=

[NotCopyInfFileName]
WIN2K=
WINXP=
WINXP_x64=
WINVISTA=
WINVISTA_x64=
WINVISTA_NONSP=
WINVISTA_x64_NONSP=

[ServicePacks]
; Cannot use WINNT5
WIN2K=0
WINXP=0
WINXP_x64=0

[DriverVersion_98Me]
%DRIVERNAME_1%=20.31.0.0
;%DRIVERNAME_2%=8.31.0.0
;%DRIVERNAME_3%=1.1.1.0

[DriverVersion_2KXP]
%DRIVERNAME_1%=20.31.0.0
;%DRIVERNAME_2%=8.31.0.0
;%DRIVERNAME_3%=1.1.1.0

[ReplaceFiles9X]
;-------------------------------------------------------------
; OPTIONAL
; (Windows 9X only)
; Windows 2000 or later NT based Windows is must support
; Hardware First Installation. So, It is should not support
; Installer replace system files.
;-------------------------------------------------------------
UsbPrint=\System\MpUsbPrt.sys

[InstallFiles.WIN9X]
;-------------------------------------------------------------
; Windows 9X only
;-------------------------------------------------------------
Scan=\System\MSVCRT.DLL

; [Extension]
; Can be specified .x86, .x64
; Righthand value is <ExtensionID>,<DLLNAME>,<DLLEntryPoint>
; You can run extension directory by using /X<ExtensionID> commandline option.
;
; %NAME_USB%=USB|DEFAULT
; %NAME_NETWORK%=NET,misc\EXT\NiHelper.dll,HELPER_LaunchNetworkInstaller

; [Extension.WIN2K3]
;-------------------------------------------------------------
; Windows Server 2003 only
;-------------------------------------------------------------
; Can be specified .x86, .x64
; Righthand value is <ExtensionID>,<DLLNAME>,<DLLEntryPoint>
; You can run extension directory by using /X<ExtensionID> commandline option.
;
; %NAME_NETWORK%=NET,misc\EXT\NiHelper.dll,HELPER_LaunchNetworkInstaller

; [Extension.WIN2K3_x64]
;-------------------------------------------------------------
; Windows Server 2003 only
;-------------------------------------------------------------
; Can be specified .x86, .x64
; Righthand value is <ExtensionID>,<DLLNAME>,<DLLEntryPoint>
; You can run extension directory by using /X<ExtensionID> commandline option.
;
; %NAME_NETWORK%=NET,misc\EXT\NiHelper.dll,HELPER_LaunchNetworkInstaller

[Uninstaller]
;-------------------------------------------------------------
; OPTIONAL 
;  But if you set uninstallation information, set the 
;  following values.
;  Version, DisplayName, Files, TargetDir, and ProductGUID
;-------------------------------------------------------------
Version=3.8.0.0
DisplayName=%NAME_UNINSTALLER%
Files.WIN9X=misc\DelDrv.exe,misc\DelDrv.ini,misc\CNCIDD16.DLL,misc\CNCIDD32.DLL,misc\DelDrvRes.DLL,misc\SetupRes.ini
Files.WINNT5=misc\DelDrv.exe,misc\DelDrv.ini,misc\DelDrvRes.DLL,misc\SetupRes.ini
Files.WINNT5_x64=misc\DelDrv.exe,misc\DelDrv.ini,misc\DelDrvRes.DLL,misc\SetupRes.ini
Files.WINXP_x64=misc\DelDrv.exe,misc\DelDrv.ini,misc\DelDrvRes.DLL,misc\SetupRes.ini

TargetDir=CanonMF Uninstaller Information
ProductGUID=%GUID_UNINSTALLER%
CommandLine=/U:%GUID_UNINSTALLER% /L0x%__SELECTEDLANGID__%
Shortcut=%NAME_UNINSTALLERSHORTCUT%.lnk

[ExclusiveComponents]
Component=DDS, MpassDTM1x, MpassDTM2x, MpassDTM3x, Mpass4x, Mpass40
; Following section is used for detecting an older version. (for Ver1.01 or later)
; [MP100]
; Name=%NAME_PRODUCT%
; Installed=HKEY_LOCAL_MACHINE/\Software\Microsoft\Windows\CurrentVersion\Uninstall\%GUID_UNINSTALLER%/Version/1.0.0.0
; OSFILTER=0x638

[DDS]
; MultiSpot Document Distribution System
Name=%NAME_MULTIPASS_DRIVER%
Installed=HKEY_LOCAL_MACHINE/\SOFTWARE\Canon Information Systems\Installed MFD Software/Installed Software/MultiSpot Document Distribution System
OSFILTER=0x638

[MpassDTM1x]
; MultiPASS Desktop Manager 1.x series
Name=%NAME_MULTIPASS_DRIVER%
Installed=mpass.ini/Common/Version/V1.*
OSFILTER=0x638

[MpassDTM2x]
; MultiPASS Desktop Manager 2.x series
Name=%NAME_MULTIPASS_DRIVER%
Installed=mpass.ini/Common/Version/2.*
OSFILTER=0x638

[MpassDTM3x]
; MultiPASS Desktop Manager 3.x series
Name=%NAME_MULTIPASS_DRIVER%
Installed=HKEY_LOCAL_MACHINE/\SOFTWARE\Canon Information Systems\MultiPASS Desktop Manager\Shared\Common\Installed/*/1
OSFILTER=0x638

[Mpass4x]
; MultiPASS Suite 4.x series
Name=%NAME_MULTIPASS_DRIVER%
Installed=HKEY_LOCAL_MACHINE/\Software\Microsoft\Windows\CurrentVersion\Uninstall\{8A508AAA-3B69-4326-B89E-A6166FA05D3C}/UninstallString/*
OSFILTER=0x238

[Mpass40]
; MultiPASS Suite 4.0 series
Name=%NAME_MULTIPASS_DRIVER%
Installed=HKEY_LOCAL_MACHINE/\Software\Microsoft\Windows\CurrentVersion\Uninstall\{8A508AAA-3B69-4326-B89E-A6166FA05D3C}/Version/NE
OSFILTER=0x638

[LANGUAGES]
; LangID(Hex)=LanguageName, StringTableFile, ResourceDLL
; If the righthand value is "<SELECT>", display selection dialog.
; 0000 ---- Neutral(Default)
0000=,misc\SetupRes.ini,misc\IstDrvRes.dll

[OS]
Srv2008_Edition=0000022801010340

